4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Generate

Classes: Generate

## Classes

class Generate(distutils.cmd.Command)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class Command
  get_outputs(self)
  get_source_files(self)
  has_bgen(self)
  has_l10n(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['force']
  command_name = 'generate'
  description = 'generate additional files needed to install'
  sub_commands = [('generate_bgen', <function has_bgen>), ('generate_l10n', <function has_l10n>)]
  user_options = [('force', 'f', 'forcibly generate everything (ignore file timestamps)')]